job:
  image: ubuntu:kinetic
  variables:
    GIT_SUBMODULE_STRATEGY: normal
  before_script:
  - apt-get update -y
  - apt-get install -y valgrind curl
  - curl -JLO "https://downloads.dlang.org/releases/2023/dmd_2.104.0-0_amd64.deb"
  - apt-get install -y "./dmd_2.104.0-0_amd64.deb"
  script:
  - dmd --version && dub --version
  - cd scripts
  - sh ./test.sh
  - sh ./compile.sh
  - cd ../tests
  #- dmd ../lib/iz.a -I../import/ -run valgrinder.d
  only:
  - master
  - merge_requests

pages:
  image: dlang2/dmd-ubuntu
  variables:
    GIT_SUBMODULE_STRATEGY: normal
  before_script:
  - apt-get update -y
  - apt-get install -y git
  script:
  - git clone https://gitlab.com/basile.b/harbored-mod.git
  - cd harbored-mod && dub build && cd ..
  - harbored-mod/bin/hmod $(find "import" -iname *.d)  -o public
  artifacts:
    paths:
    - public
  only:
  - master
  - merge_requests
  - tags
